#pragma once

#include "ofMain.h"

class ofApp : public ofBaseApp{

	public:
		void setup(); //alles ab einstieg des programms wird einmal am anfang
		void update(); // verarbeitung der daten
		void draw(); //darstellung der informationen

		void keyPressed(int key); // integer liefer gedrückt taste beim drücken
		void keyReleased(int key); // key released wenn taste los gelassen wird
		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased(int x, int y, int button);
		void mouseEntered(int x, int y);
		void mouseExited(int x, int y);
		void windowResized(int w, int h);
		void dragEvent(ofDragInfo dragInfo);
		void gotMessage(ofMessage msg);
        ofVideoGrabber cam;
        ofVec2f resolution;
};
